%bcond_with doc
%bcond_without qt5

Name:		doxygen
Version:	1.9.5
Release:	%mkrel 1
Summary:	A documentation system for C/C++
Group:		Development/Other
License:	GPLv2+
URL:		http://www.doxygen.nl/
Source0:	http://doxygen.nl/files/%{name}-%{version}.src.tar.xz

BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	git-core
BuildRequires:	graphviz
BuildRequires:	pkgconfig(libpng)
%if %with qt5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
%endif
%if %with doc
BuildRequires:	tetex-latex
BuildRequires:	texlive-collection-basic
BuildRequires:	ghostscript
BuildRequires:	python3
%endif

Requires:	graphviz

%description
Doxygen is a documentation system for C, C++ and IDL. It can generate
an on-line class browser (in HTML) and/or an off-line reference manual
(in LaTeX) from a set of documented source files. There is also
support for generating man pages and for converting the generated
output into Postscript, hyperlinked PDF or compressed HTML. The
documentation is extracted directly from the sources.

Doxygen can also be configured to extract the code-structure from
undocumented source files. This can be very useful to quickly find
your way in large source distributions.

%if %with qt5
%package	doxywizard
Summary:	A GUI for creating and editing configuration files
Group:		Development/Other
Requires:	%{name} = %{version}

%description	doxywizard
Doxywizard is a GUI for creating and editing configuration files that
are used by doxygen.
%endif

%prep
%setup -q
%apply_patches

find -type d -exec %{__chmod} 0755 {} \;

# build with system libpng
%{__rm} -rf libpng

%build
%cmake \
%if %with doc
	-Dbuild_doc=ON \
%else
	-Dbuild_doc=OFF \
%endif
%if %with qt5
	-Dbuild_wizard=ON \
%else
	-Dbuild_wizard=OFF \
%endif
	-Dbuild_xmlparser=ON \
	-DPYTHON_EXECUTABLE=%{__python3} \
	-DMAN_INSTALL_DIR=%{_mandir}/man1 \
	-DDOC_INSTALL_DIR=%{_docdir}/doxygen \
	-DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
	-DBUILD_SHARED_LIBS=OFF

%cmake_build

%if %with doc
%cmake_build docs
%endif

%install
%if %with doc
cp doc/*.1 %{_vpath_builddir}/man/
cp doc/*.pdf %{_vpath_builddir}/pdf/
%endif

%cmake_install

%if %with doc
mv %{buildroot}%{_docdir}/doxygen .
%endif

%files
%if %with doc
%doc doxygen
%endif
%doc README.md
%{_bindir}/doxygen
%if %with doc
%{_mandir}/man1/doxygen.1*
%{_mandir}/man1/doxyindexer.1*
%{_mandir}/man1/doxysearch.1*
%endif

%if %with qt5
%files doxywizard
%{_bindir}/doxywizard
%if %with doc
%{_mandir}/man1/doxywizard.1*
%endif
%endif


%changelog
* Mon Aug 29 2022 tex - 1.9.5-1pclos2022
- new version

* Wed Dec 30 2020 tex -1.9.0-1pclos2020
- Update to version 1.9.0
